---
title: llarp::vpn::I_PacketInterceptor

---

# llarp::vpn::I_PacketInterceptor





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~I_PacketInterceptor](Classes/classllarp_1_1vpn_1_1I__PacketInterceptor.md#function-~i-packetinterceptor)**() =default |
| virtual void | **[start](Classes/classllarp_1_1vpn_1_1I__PacketInterceptor.md#function-start)**(PacketInterceptFunc_t f) =0<br>start intercepting packets and call a callback for each one we get the callback passes in an ip packet and a function that we can use to send an ip packet to its origin  |
| virtual void | **[stop](Classes/classllarp_1_1vpn_1_1I__PacketInterceptor.md#function-stop)**() =0<br>stop intercepting packets  |

## Public Functions Documentation

### function ~I_PacketInterceptor

```cpp
virtual ~I_PacketInterceptor() =default
```


### function start

```cpp
virtual void start(
    PacketInterceptFunc_t f
) =0
```

start intercepting packets and call a callback for each one we get the callback passes in an ip packet and a function that we can use to send an ip packet to its origin 

### function stop

```cpp
virtual void stop() =0
```

stop intercepting packets 

-------------------------------

Updated on 2023-01-27 at 23:09:26 +0000